<!DOCTYPE html>
<html lang="en">
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Đăng Nhập</title>
    <script>
        $(document).ready(function () {
            $("#ok").click(function () {
                var send = JSON.stringify({
                    'UserName': document.getElementById('taiKhoan').value,
                    'Pwd': document.getElementById('matKhau').value,
                    'Name': 'n',
                    'Dob': '1999-10-02',
                    'Address': 'n',
                    'Email': 'n',
                    'PhoneNumber': 'n'
                })
                alert(send)
                $.ajax({
                    type: 'POST',
                    url: 'https://localhost:44318/Writer/Login',
                    data: send,
                    dataType: 'json',
                    contentType: "application/json",
                    success: function (data, textStatus, xhr) {
                        if (data.state == false){
                            alert(data.message)
                        }
                        else{
                            alert('ok')
                        }
                    },
                    error: function (xhr, textStatus, errorThrown) {
                        alert('Lỗi là: ' + xhr.responseText)
                    }
                })
            })
        })
    </script>
</head>
<body>

    Tài Khoản:
    <input type="text" id="taiKhoan" class="taiKhoan"><br>
    Mật Khẩu:
    <input type="password" id="matKhau" class="matKhau"><br>
    <button id="ok">Ok</button>

</body>
</html>